petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCreateInterpolationScale

Forms L = R*1/diag(R*1) - L.*v is like a coarse grid average of the nearby fine grid points.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMCreateInterpolationScale(DM dac,DM daf,Mat mat,Vec *scale)

### Input Parameters

| dac | - DM that defines a coarse mesh
| daf | - DM that defines a fine mesh
| mat | - the restriction (or interpolation operator) from fine to coarse

### Output Parameter

scale -the scaled vector

### See Also

DMCreateInterpolation()

### Level

developer

### Location

src/dm/impls/da/dainterp.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages